SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1808431 - [4.3] No global tolerations for NodeCA DaemonSet
Summary: [4.3] No global tolerations for NodeCA DaemonSet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1785115
Blocks: 1808433
TreeView+ depends on / blocked
 
Reported: 2020-02-28 14:17 UTC by Adam Kaplan
Modified: 2020-04-23 10:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: nodeca daemon doesn't tolerate NoSchedule Consequence: it cannot be deployed on tainted nodes Fix: tolerate NoSchedule Result: the deamon can manage certificate on nodes with NoSchedule
Clone Of: 1785115
: 1808433 (view as bug list)
Environment:
Last Closed: 2020-03-10 23:54:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 472 None closed [release-4.3] Bug 1808431: tolerate all NoSchedule taints 2020-05-13 14:03:29 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:54:30 UTC

Comment 3 Wenjing Zheng 2020-03-03 11:13:08 UTC
Verified on 4.3.0-0.nightly-2020-03-02-115939.After tainting the nodes, the number of pods NodeCA DaemonSet doesn't change.

Comment 5 errata-xmlrpc 2020-03-10 23:54:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.